/* *****************************************************************************
 * libg1m/eact.h -- libg1m e-activities header.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBG1M_EACT_H
# define LIBG1M_EACT_H
# include <libg1m/color.h>

/* ************************************************************************** */
/*  E-activities line types                                                   */
/* ************************************************************************** */
typedef unsigned int g1m_eact_line_type_t;
# define g1m_linetype_title    0x01
# define g1m_linetype_text     0x02
# define g1m_linetype_picture  0x04
# define g1m_linetype_eact     0x08

/* Line type aliases */
# define g1m_linetype_pict              g1m_linetype_picture
# define g1m_linetype_heading           g1m_linetype_title
# define g1m_linetype_standard_heading  g1m_linetype_title
/* ************************************************************************** */
/*  E-activities line structure                                               */
/* ************************************************************************** */
typedef struct g1m_line_s {
	int type;

	/* for subcontents */
	char name[17];

	/* content */
	char *content;

	/* subcontents */
	int count;
	int _size;
	struct g1m_line_s **lines;
} g1m_line_t;

#endif /* LIBG1M_EACT_H */
