/* *****************************************************************************
 * libg1m/file.h -- libg1m sub-files header.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBG1M_FILE_H
# define LIBG1M_FILE_H

/* This header defines the way storage files are stored here.
 *
 * TODO:
 * What I think I should do is trees and folders in two different lists. */
/* ************************************************************************** */
/*  Storage file types                                                        */
/* ************************************************************************** */
/* all types */
typedef unsigned int g1m_filetype_t;
# define g1m_filetype_directory 0x01
# define g1m_filetype_generic   0x02

/* ************************************************************************** */
/*  Storage file structure                                                    */
/* ************************************************************************** */
typedef struct g1m_file_s {
	/* meta info */
	unsigned int type;
	struct g1m_file_s *parent;
	int deleted;

	/* content */
	void *content;
} g1m_file_t;

#endif /* LIBG1M_FILE_H */
