/* *****************************************************************************
 * libg1m/format/mcs/program.h -- description of the MCS program format.
 * Copyright (C) 2017 Thomas "Cakeisalie5" Touhey <thomas@touhey.fr>
 *
 * This file is part of libg1m.
 * libg1m is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3.0 of the License,
 * or (at your option) any later version.
 *
 * libg1m is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libg1m; if not, see <http://www.gnu.org/licenses/>.
 * ************************************************************************** */
#ifndef LIBG1M_FORMAT_MCS_PROGRAM_H
# define LIBG1M_FORMAT_MCS_PROGRAM_H
# include <libfontcharacter.h>
# pragma pack(1)

/* Programs have a simple header: */

struct mcs_programheader {
	/* the program password. not encrypted, anything */
	uint8_t password[8];

	/* and some alignment. */
	uint8_t align[2];
};

/* Then comes their content, multi-byte FONTCHARACTER encoded. */

# pragma pack()
#endif /* LIBG1M_FORMAT_MCS_PROGRAM_H */
